#ifndef STRING_H
#define STRING_H

#include "common/utils/Types.h"

class String {
public:
    String();
    String(const char* str);
    
    bool operator==(const String& other) const;
    bool operator!=(const String& other) const;
    operator const char*() const;

private:
    static constexpr uint BUFFER_LENGTH = 256;
    uint length;
    char data[BUFFER_LENGTH];
};

#endif